Debian Bug report logs - #700597
systemd-backend fails to install on non-systemd systems

version graph

Package: live-config-systemd; Maintainer for live-config-systemd is Live Systems Maintainers <debian-live@lists.debian.org>; Source for live-config-systemd is src:live-config.

Reported by: Andreas Beckmann <anbe@debian.org>

Date: Fri, 15 Feb 2013 00:33:02 UTC

Severity: minor

Found in versions live-config/4.0~a14-1, live-config/3.0.20-1, live-config/4.0~a15-1, live-config/3.0.21-1

Fixed in versions live-config/4.0~a16-1, live-config/3.0.22-1

Done: Daniel Baumann <daniel@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Debian Live Project <debian-live@lists.debian.org>:
Bug#700597; Package live-config-systemd. (Fri, 15 Feb 2013 00:33:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Andreas Beckmann <anbe@debian.org>:
New Bug report received and forwarded. Copy sent to Debian Live Project <debian-live@lists.debian.org>. (Fri, 15 Feb 2013 00:33:05 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Andreas Beckmann <anbe@debian.org>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: live-config-systemd: fails to install: post-installation script returned error exit status 1
Date: Fri, 15 Feb 2013 01:31:21 +0100
[Message part 1 (text/plain, inline)]
Package: live-config-systemd
Version: 4.0~a14-1
Severity: serious
Tags: experimental
User: debian-qa@lists.debian.org
Usertags: piuparts

Hi,

during a test with piuparts I noticed your package failed to install. As
per definition of the release team this makes the package too buggy for
a release, thus the severity.

>From the attached log (scroll to the bottom...):

  Selecting previously unselected package live-config-systemd.
  (Reading database ... 7518 files and directories currently installed.)
  Unpacking live-config-systemd (from .../live-config-systemd_4.0~a14-1_all.deb) ...
  Setting up live-config-systemd (4.0~a14-1) ...
  ln -s '/lib/systemd/system/live-config.service' '/etc/systemd/system/basic.target.wants/live-config.service'
  dpkg: error processing live-config-systemd (--configure):
   subprocess installed post-installation script returned error exit status 1
  Errors were encountered while processing:
   live-config-systemd


cheers,

Andreas
[live-config-systemd_4.0~a14-1.log.gz (application/x-gzip, attachment)]

Reply sent to daniel.baumann@progress-technologies.net:
You have taken responsibility. (Fri, 15 Feb 2013 08:45:04 GMT) Full text and rfc822 format available.

Notification sent to Andreas Beckmann <anbe@debian.org>:
Bug acknowledged by developer. (Fri, 15 Feb 2013 08:45:04 GMT) Full text and rfc822 format available.

Message #10 received at 700597-done@bugs.debian.org (full text, mbox):

From: Daniel Baumann <daniel.baumann@progress-technologies.net>
To: 700597-done@bugs.debian.org
Subject: Re: live-config-systemd: fails to install: post-installation script returned error exit status 1
Date: Fri, 15 Feb 2013 09:43:14 +0100
not reproducible in a chroot and not reproducible on a real system with 
version 4.0~a14-1, closing.

-- 
Address:        Daniel Baumann, Donnerbuehlweg 3, CH-3012 Bern
Email:          daniel.baumann@progress-technologies.net
Internet:       http://people.progress-technologies.net/~daniel.baumann/



Information forwarded to debian-bugs-dist@lists.debian.org, Debian Live Project <debian-live@lists.debian.org>:
Bug#700597; Package live-config-systemd. (Fri, 15 Feb 2013 10:06:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Andreas Beckmann <anbe@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Live Project <debian-live@lists.debian.org>. (Fri, 15 Feb 2013 10:06:03 GMT) Full text and rfc822 format available.

Message #15 received at 700597@bugs.debian.org (full text, mbox):

From: Andreas Beckmann <anbe@debian.org>
Cc: 700597@bugs.debian.org
Subject: Re: Re: live-config-systemd: fails to install: post-installation script returned error exit status 1
Date: Fri, 15 Feb 2013 11:03:48 +0100
On 2013-02-15 09:43, Daniel Baumann wrote:
> not reproducible in a chroot and not reproducible on a real system with
> version 4.0~a14-1, closing.

Reproducible in a chroot on a non-systemd host:

# systemctl enable live-config.service ; echo $?
1
# systemctl --no-reload enable live-config.service ; echo $?
1
# systemctl --no-reload --verbose enable live-config.service ; echo $?
systemctl: unrecognized option '--verbose'
1


Andreas



Information forwarded to debian-bugs-dist@lists.debian.org, Debian Live Project <debian-live@lists.debian.org>:
Bug#700597; Package live-config-systemd. (Fri, 15 Feb 2013 10:30:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to daniel.baumann@progress-technologies.net:
Extra info received and forwarded to list. Copy sent to Debian Live Project <debian-live@lists.debian.org>. (Fri, 15 Feb 2013 10:30:03 GMT) Full text and rfc822 format available.

Message #20 received at 700597@bugs.debian.org (full text, mbox):

From: Daniel Baumann <daniel.baumann@progress-technologies.net>
To: Andreas Beckmann <anbe@debian.org>
Cc: 700597@bugs.debian.org
Subject: Re: Bug#700597: Re: live-config-systemd: fails to install: post-installation script returned error exit status 1
Date: Fri, 15 Feb 2013 11:28:56 +0100
On 02/15/2013 11:03 AM, Andreas Beckmann wrote:
> Reproducible in a chroot on a non-systemd host:

you're not supposed to install live-config-systemd on a non-systemd host 
in the first place, which is why the package has a depends against systemd.

-- 
Address:        Daniel Baumann, Donnerbuehlweg 3, CH-3012 Bern
Email:          daniel.baumann@progress-technologies.net
Internet:       http://people.progress-technologies.net/~daniel.baumann/



Removed tag(s) experimental. Request was from Andreas Beckmann <anbe@debian.org> to control@bugs.debian.org. (Fri, 15 Feb 2013 10:33:04 GMT) Full text and rfc822 format available.

Marked as found in versions live-config/3.0.20-1 and reopened. Request was from Andreas Beckmann <anbe@debian.org> to control@bugs.debian.org. (Fri, 15 Feb 2013 10:33:05 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Live Project <debian-live@lists.debian.org>:
Bug#700597; Package live-config-systemd. (Fri, 15 Feb 2013 10:51:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to Andreas Beckmann <anbe@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Live Project <debian-live@lists.debian.org>. (Fri, 15 Feb 2013 10:51:06 GMT) Full text and rfc822 format available.

Message #29 received at 700597@bugs.debian.org (full text, mbox):

From: Andreas Beckmann <anbe@debian.org>
Cc: 700597@bugs.debian.org
Subject: Re: Bug#700597: Re: live-config-systemd: fails to install: post-installation script returned error exit status 1
Date: Fri, 15 Feb 2013 11:49:54 +0100
Control: retitle -1 live-config-systemd: fails to install in a chroot on a non-systemd host

On 2013-02-15 11:28, Daniel Baumann wrote:
> On 02/15/2013 11:03 AM, Andreas Beckmann wrote:
>> Reproducible in a chroot on a non-systemd host:
> 
> you're not supposed to install live-config-systemd on a non-systemd host
> in the first place, which is why the package has a depends against systemd.

It's the only package with such a requirement (i.e. host is running 
systemd, just depending on systemd is fine) making it untestable by 
piuparts :-(

Andreas



Changed Bug title to 'live-config-systemd: fails to install in a chroot on a non-systemd host' from 'live-config-systemd: fails to install: post-installation script returned error exit status 1' Request was from Andreas Beckmann <anbe@debian.org> to 700597-submit@bugs.debian.org. (Fri, 15 Feb 2013 10:51:06 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Live Project <debian-live@lists.debian.org>:
Bug#700597; Package live-config-systemd. (Fri, 15 Feb 2013 11:21:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to daniel.baumann@progress-technologies.net:
Extra info received and forwarded to list. Copy sent to Debian Live Project <debian-live@lists.debian.org>. (Fri, 15 Feb 2013 11:21:05 GMT) Full text and rfc822 format available.

Message #36 received at 700597@bugs.debian.org (full text, mbox):

From: Daniel Baumann <daniel.baumann@progress-technologies.net>
To: Andreas Beckmann <anbe@debian.org>
Cc: 700597@bugs.debian.org
Subject: Re: Bug#700597: Re: live-config-systemd: fails to install: post-installation script returned error exit status 1
Date: Fri, 15 Feb 2013 12:19:09 +0100
retitle 700597 systemd-backend fails to install on non-systemd systems
severity 700597 minor
thanks

On 02/15/2013 11:49 AM, Andreas Beckmann wrote:
> It's the only package with such a requirement (i.e. host is running
> systemd, just depending on systemd is fine) making it untestable by
> piuparts :-(

unavoidable with current systemd it seems.

-- 
Address:        Daniel Baumann, Donnerbuehlweg 3, CH-3012 Bern
Email:          daniel.baumann@progress-technologies.net
Internet:       http://people.progress-technologies.net/~daniel.baumann/



Changed Bug title to 'systemd-backend fails to install on non-systemd systems' from 'live-config-systemd: fails to install in a chroot on a non-systemd host' Request was from Daniel Baumann <daniel.baumann@progress-technologies.net> to control@bugs.debian.org. (Fri, 15 Feb 2013 11:21:07 GMT) Full text and rfc822 format available.

Severity set to 'minor' from 'serious' Request was from Daniel Baumann <daniel.baumann@progress-technologies.net> to control@bugs.debian.org. (Fri, 15 Feb 2013 11:21:07 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Live Project <debian-live@lists.debian.org>:
Bug#700597; Package live-config-systemd. (Fri, 15 Feb 2013 11:36:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to intrigeri <intrigeri+debian-live@boum.org>:
Extra info received and forwarded to list. Copy sent to Debian Live Project <debian-live@lists.debian.org>. (Fri, 15 Feb 2013 11:36:03 GMT) Full text and rfc822 format available.

Message #45 received at 700597@bugs.debian.org (full text, mbox):

From: intrigeri <intrigeri+debian-live@boum.org>
To: daniel.baumann@progress-technologies.net
Cc: 700597@bugs.debian.org, Andreas Beckmann <anbe@debian.org>
Subject: Re: Bug#700597: Re: live-config-systemd: fails to install: post-installation script returned error exit status 1
Date: Fri, 15 Feb 2013 12:33:18 +0100
Hi,

Daniel Baumann wrote (15 Feb 2013 11:19:09 GMT) :
> On 02/15/2013 11:49 AM, Andreas Beckmann wrote:
>> It's the only package with such a requirement (i.e. host is running
>> systemd, just depending on systemd is fine) making it untestable by
>> piuparts :-(

> unavoidable with current systemd it seems.

I believe that checking for /sys/fs/cgroup/systemd existence is enough
to know if the system is currently running systemd. Is it an option to
wrap such a check around the "systemctl enable" call?

Digression: does this bug mean that the build system must itself be
running systemd in order to successfully build a Debian Live system
that uses systemd?

Cheers,
-- 
  intrigeri
  | GnuPG key @ https://gaffer.ptitcanardnoir.org/intrigeri/intrigeri.asc
  | OTR fingerprint @ https://gaffer.ptitcanardnoir.org/intrigeri/otr.asc



Information forwarded to debian-bugs-dist@lists.debian.org, Debian Live Project <debian-live@lists.debian.org>:
Bug#700597; Package live-config-systemd. (Fri, 15 Feb 2013 18:48:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Andreas Beckmann <anbe@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Live Project <debian-live@lists.debian.org>. (Fri, 15 Feb 2013 18:48:03 GMT) Full text and rfc822 format available.

Message #50 received at 700597@bugs.debian.org (full text, mbox):

From: Andreas Beckmann <anbe@debian.org>
To: daniel.baumann@progress-technologies.net
Cc: 700597@bugs.debian.org
Subject: Re: Bug#700597: Re: live-config-systemd: fails to install: post-installation script returned error exit status 1
Date: Fri, 15 Feb 2013 19:45:29 +0100
On 2013-02-15 12:19, Daniel Baumann wrote:
> unavoidable with current systemd it seems.

Maybe relying on the trigger is sufficient:

https://lists.debian.org/debian-release/2013/02/msg00496.html


Andreas



Information forwarded to debian-bugs-dist@lists.debian.org, Debian Live Project <debian-live@lists.debian.org>:
Bug#700597; Package live-config-systemd. (Fri, 15 Feb 2013 19:21:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to daniel.baumann@progress-technologies.net:
Extra info received and forwarded to list. Copy sent to Debian Live Project <debian-live@lists.debian.org>. (Fri, 15 Feb 2013 19:21:05 GMT) Full text and rfc822 format available.

Message #55 received at 700597@bugs.debian.org (full text, mbox):

From: Daniel Baumann <daniel.baumann@progress-technologies.net>
To: Andreas Beckmann <anbe@debian.org>
Cc: 700597@bugs.debian.org
Subject: Re: Bug#700597: Re: live-config-systemd: fails to install: post-installation script returned error exit status 1
Date: Fri, 15 Feb 2013 20:20:02 +0100
On 02/15/2013 07:45 PM, Andreas Beckmann wrote:
> https://lists.debian.org/debian-release/2013/02/msg00496.html

i've discussed that with michael two days ago, no.

-- 
Address:        Daniel Baumann, Donnerbuehlweg 3, CH-3012 Bern
Email:          daniel.baumann@progress-technologies.net
Internet:       http://people.progress-technologies.net/~daniel.baumann/



Information forwarded to debian-bugs-dist@lists.debian.org, Debian Live Project <debian-live@lists.debian.org>:
Bug#700597; Package live-config-systemd. (Sat, 16 Feb 2013 11:03:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to intrigeri <intrigeri+debian-live@boum.org>:
Extra info received and forwarded to list. Copy sent to Debian Live Project <debian-live@lists.debian.org>. (Sat, 16 Feb 2013 11:03:03 GMT) Full text and rfc822 format available.

Message #60 received at 700597@bugs.debian.org (full text, mbox):

From: intrigeri <intrigeri+debian-live@boum.org>
To: daniel.baumann@progress-technologies.net
Cc: 700597@bugs.debian.org, Andreas Beckmann <anbe@debian.org>
Subject: Re: Bug#700597: Re: live-config-systemd: fails to install: post-installation script returned error exit status 1
Date: Sat, 16 Feb 2013 12:01:50 +0100
Daniel Baumann wrote (15 Feb 2013 19:20:02 GMT) :
> On 02/15/2013 07:45 PM, Andreas Beckmann wrote:
>> https://lists.debian.org/debian-release/2013/02/msg00496.html

> i've discussed that with michael two days ago, no.

I'd be delighted if you explained why to me :)
... but else it's no big deal.

Cheers,
-- 
  intrigeri
  | GnuPG key @ https://gaffer.ptitcanardnoir.org/intrigeri/intrigeri.asc
  | OTR fingerprint @ https://gaffer.ptitcanardnoir.org/intrigeri/otr.asc



Marked as found in versions live-config/4.0~a15-1. Request was from Andreas Beckmann <anbe@debian.org> to control@bugs.debian.org. (Sat, 16 Feb 2013 17:15:03 GMT) Full text and rfc822 format available.

Marked as found in versions live-config/3.0.21-1. Request was from Andreas Beckmann <anbe@debian.org> to control@bugs.debian.org. (Sat, 16 Feb 2013 17:15:03 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Live Project <debian-live@lists.debian.org>:
Bug#700597; Package live-config-systemd. (Sat, 16 Feb 2013 18:03:11 GMT) Full text and rfc822 format available.

Acknowledgement sent to Michael Biebl <biebl@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Live Project <debian-live@lists.debian.org>. (Sat, 16 Feb 2013 18:03:11 GMT) Full text and rfc822 format available.

Message #69 received at 700597@bugs.debian.org (full text, mbox):

From: Michael Biebl <biebl@debian.org>
To: daniel.baumann@progress-technologies.net, 700597@bugs.debian.org
Subject: Re: Bug#700597: Re: live-config-systemd: fails to install: post-installation script returned error exit status 1
Date: Sat, 16 Feb 2013 18:55:24 +0100
On Fri, Feb 15, 2013 at 08:20:02PM +0100, Daniel Baumann wrote:
> On 02/15/2013 07:45 PM, Andreas Beckmann wrote:
> >https://lists.debian.org/debian-release/2013/02/msg00496.html
> 
> i've discussed that with michael two days ago, no.

I actually don't remember anymore, why that wasn't sufficient.

So, the issue most likely is, that systemd is installed but not actually
the active PID 1, which means the systemd dependency alone is not
sufficient
"systemctl enable" should work, even when systemd is not PID 1,
apparently it doesn't do that (will investigate).

I think the auto-enabler in systemd should be sufficient, but if you want
to keep the current postinst, wrapping the systemctl call into a
if [ -e /sys/fs/cgroup/systemd ] ; then .. fi
should do the trick.

Michael



Information forwarded to debian-bugs-dist@lists.debian.org, Debian Live Project <debian-live@lists.debian.org>:
Bug#700597; Package live-config-systemd. (Wed, 27 Feb 2013 19:33:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to daniel.baumann@progress-technologies.net:
Extra info received and forwarded to list. Copy sent to Debian Live Project <debian-live@lists.debian.org>. (Wed, 27 Feb 2013 19:33:02 GMT) Full text and rfc822 format available.

Message #74 received at 700597@bugs.debian.org (full text, mbox):

From: Daniel Baumann <daniel.baumann@progress-technologies.net>
To: Michael Biebl <biebl@debian.org>
Cc: 700597@bugs.debian.org
Subject: Re: Bug#700597: Re: live-config-systemd: fails to install: post-installation script returned error exit status 1
Date: Wed, 27 Feb 2013 20:30:21 +0100
On 02/16/2013 06:55 PM, Michael Biebl wrote:
> I actually don't remember anymore, why that wasn't sufficient.

because the 'new' systemd handling of automatically enabling services 
that were not explicitly enabled before only happens at first boot time, 
which doesn't work for us, we need it to be enabled within the to be 
created image (= at package installation time of live-config-systemd).

> I think the auto-enabler in systemd should be sufficient, but if you want
> to keep the current postinst, wrapping the systemctl call into a
> if [ -e /sys/fs/cgroup/systemd ] ; then .. fi
> should do the trick.

i'm afraid the only left over option is to enable it manually (by 
placing symlinks in the fs etc.), and not use systemctl at all :/

-- 
Address:        Daniel Baumann, Donnerbuehlweg 3, CH-3012 Bern
Email:          daniel.baumann@progress-technologies.net
Internet:       http://people.progress-technologies.net/~daniel.baumann/



Information forwarded to debian-bugs-dist@lists.debian.org, Debian Live Project <debian-live@lists.debian.org>:
Bug#700597; Package live-config-systemd. (Wed, 27 Feb 2013 20:12:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to Michael Biebl <biebl@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Live Project <debian-live@lists.debian.org>. (Wed, 27 Feb 2013 20:12:06 GMT) Full text and rfc822 format available.

Message #79 received at 700597@bugs.debian.org (full text, mbox):

From: Michael Biebl <biebl@debian.org>
To: daniel.baumann@progress-technologies.net
Cc: 700597@bugs.debian.org
Subject: Re: Bug#700597: Re: live-config-systemd: fails to install: post-installation script returned error exit status 1
Date: Wed, 27 Feb 2013 21:08:53 +0100
[Message part 1 (text/plain, inline)]
On 27.02.2013 20:30, Daniel Baumann wrote:
> On 02/16/2013 06:55 PM, Michael Biebl wrote:
>> I actually don't remember anymore, why that wasn't sufficient.
> 
> because the 'new' systemd handling of automatically enabling services 
> that were not explicitly enabled before only happens at first boot time, 

That is not quite true. If systemd is active, the services are enabled
right away. If systemd is not active, we will create a flag file and
the symlinks will be created the next time the system is booted with
systemd.

What exactly does live-config-systemd do, btw?

Michael
-- 
Why is it that all of the instruments seeking intelligent life in the
universe are pointed away from Earth?

[signature.asc (application/pgp-signature, attachment)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Live Project <debian-live@lists.debian.org>:
Bug#700597; Package live-config-systemd. (Wed, 27 Feb 2013 20:15:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to daniel.baumann@progress-technologies.net:
Extra info received and forwarded to list. Copy sent to Debian Live Project <debian-live@lists.debian.org>. (Wed, 27 Feb 2013 20:15:06 GMT) Full text and rfc822 format available.

Message #84 received at 700597@bugs.debian.org (full text, mbox):

From: Daniel Baumann <daniel.baumann@progress-technologies.net>
To: Michael Biebl <biebl@debian.org>
Cc: 700597@bugs.debian.org
Subject: Re: Bug#700597: Re: live-config-systemd: fails to install: post-installation script returned error exit status 1
Date: Wed, 27 Feb 2013 21:12:12 +0100
On 02/27/2013 09:08 PM, Michael Biebl wrote:
> That is not quite true.

well, in our case it is...

> If systemd is active, the services are enabled
> right away. If systemd is not active, we will create a flag file and
> the symlinks will be created the next time the system is booted with
> systemd.

..since we're installing into a chroot where systemd is not 'active', 
but yes, thanks for the general definition.

> What exactly does live-config-systemd do, btw?

it contains the service file to start live-config which is a bunch of 
scripts to alter certain aspects of the system during boot, see man 
live-config.

-- 
Address:        Daniel Baumann, Donnerbuehlweg 3, CH-3012 Bern
Email:          daniel.baumann@progress-technologies.net
Internet:       http://people.progress-technologies.net/~daniel.baumann/



Reply sent to Daniel Baumann <daniel@debian.org>:
You have taken responsibility. (Fri, 01 Mar 2013 09:51:03 GMT) Full text and rfc822 format available.

Notification sent to Andreas Beckmann <anbe@debian.org>:
Bug acknowledged by developer. (Fri, 01 Mar 2013 09:51:03 GMT) Full text and rfc822 format available.

Message #89 received at 700597-close@bugs.debian.org (full text, mbox):

From: Daniel Baumann <daniel@debian.org>
To: 700597-close@bugs.debian.org
Subject: Bug#700597: fixed in live-config 4.0~a16-1
Date: Fri, 01 Mar 2013 09:47:39 +0000
Source: live-config
Source-Version: 4.0~a16-1

We believe that the bug you reported is fixed in the latest version of
live-config, which is due to be installed in the Debian FTP archive.

A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 700597@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Daniel Baumann <daniel@debian.org> (supplier of updated live-config package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Fri, 01 Mar 2013 10:36:37 +0100
Source: live-config
Binary: live-config live-config-doc live-config-systemd live-config-sysvinit live-config-upstart
Architecture: source all
Version: 4.0~a16-1
Distribution: experimental
Urgency: low
Maintainer: Debian Live Project <debian-live@lists.debian.org>
Changed-By: Daniel Baumann <daniel@debian.org>
Description: 
 live-config - Live System Configuration Scripts
 live-config-doc - Live System Configuration Scripts (documentation)
 live-config-systemd - Live System Configuration Scripts (systemd backend)
 live-config-sysvinit - Live System Configuration Scripts (sysvinit backend)
 live-config-upstart - Live System Configuration Scripts (upstart backend)
Closes: 700597 701788
Changes: 
 live-config (4.0~a16-1) experimental; urgency=low
 .
   * Skipping sudo script if username is root (Closes: #701788).
   * Replacing systemctl call with manual symlink, which is error prone
     wrt/ changes in systemd or the service file but doesn't require up and
     running systemd (Closes: #700597).
Checksums-Sha1: 
 d8a494b342db2f14aeff20e0a1b4ad0575855bab 1554 live-config_4.0~a16-1.dsc
 fbbf0c8e98e4eb38ba64ea41ffea4d2c1cc5e1d3 64136 live-config_4.0~a16.orig.tar.xz
 f6797d310375e51a8190a7cb6dd374c635d3f8a7 14012 live-config_4.0~a16-1.debian.tar.xz
 b1b811930a4416879892e8154aabfdbb479d3ce9 27524 live-config_4.0~a16-1_all.deb
 dfc6cf2d0a13946ad9bd61ff421f53e567a16b5e 51100 live-config-doc_4.0~a16-1_all.deb
 4ba05e49b694a218292cb7f6ccaca946de060c41 15148 live-config-systemd_4.0~a16-1_all.deb
 d32c1e38f9e8375b246f61a05c4c99b66e278d9a 16310 live-config-sysvinit_4.0~a16-1_all.deb
 470707e9a64c5c39510a112953831a9e33cc6a7e 15946 live-config-upstart_4.0~a16-1_all.deb
Checksums-Sha256: 
 c520081055f84df302d712a38c0b8960d8a2df957b8683654d7f8ac76fa08b41 1554 live-config_4.0~a16-1.dsc
 92312f87c233fa4a075e020e78370dfcb8925561723e450d3afe653060d7ba07 64136 live-config_4.0~a16.orig.tar.xz
 0306b9fc9bf08f3b97c54c89ee848f88e52f718c9f6bc60d21eb4237c090d500 14012 live-config_4.0~a16-1.debian.tar.xz
 619618524bf4bdb72703761e072eae3e865ba1775ff66a0a624918cc2da0174b 27524 live-config_4.0~a16-1_all.deb
 6ef88799cacedcb420b4398cf44da0f3c67720c8a05663b1b24d23294d88349d 51100 live-config-doc_4.0~a16-1_all.deb
 14d624a51ab3721d7a2795b3afaa13519b28879aa4c66bb2cd5502f9690fc196 15148 live-config-systemd_4.0~a16-1_all.deb
 46f6181b10f67f10456cc17937a1f42a704f9863df2ee3b100d84f697d95a380 16310 live-config-sysvinit_4.0~a16-1_all.deb
 87eb606764a2c73304e4d7ff6217742986d3dfda01e0c06d15e9f848d3904590 15946 live-config-upstart_4.0~a16-1_all.deb
Files: 
 238cc3f8a7e49df2eb9eea12a78bffe1 1554 misc optional live-config_4.0~a16-1.dsc
 dae5943b3f6f9fe83a585f7b13a9668e 64136 misc optional live-config_4.0~a16.orig.tar.xz
 b0150f8229fe1ae2df7bedc1a96f27af 14012 misc optional live-config_4.0~a16-1.debian.tar.xz
 aa3581a6129e16d8897318ff13b29011 27524 misc optional live-config_4.0~a16-1_all.deb
 1a139ec7fddeae3d81e6ddbab2bb123e 51100 doc optional live-config-doc_4.0~a16-1_all.deb
 913128098cd352ea40202d9ce31d3967 15148 misc optional live-config-systemd_4.0~a16-1_all.deb
 b0aa51da73ad27eb8f580735a341e1f1 16310 misc optional live-config-sysvinit_4.0~a16-1_all.deb
 e322f20aa3c1e4c289079cf4bfff68ca 15946 misc optional live-config-upstart_4.0~a16-1_all.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.12 (GNU/Linux)

iEYEARECAAYFAlEwdzAACgkQ+C5cwEsrK55NZgCg4VTykNOrFv7D8/b9TJfDILlI
6IoAoM7al3jS9KuXJPNnoEGJ+AXe5Z4L
=IBNu
-----END PGP SIGNATURE-----




Reply sent to Daniel Baumann <daniel@debian.org>:
You have taken responsibility. (Wed, 03 Apr 2013 16:03:14 GMT) Full text and rfc822 format available.

Notification sent to Andreas Beckmann <anbe@debian.org>:
Bug acknowledged by developer. (Wed, 03 Apr 2013 16:03:14 GMT) Full text and rfc822 format available.

Message #94 received at 700597-close@bugs.debian.org (full text, mbox):

From: Daniel Baumann <daniel@debian.org>
To: 700597-close@bugs.debian.org
Subject: Bug#700597: fixed in live-config 3.0.22-1
Date: Wed, 03 Apr 2013 16:02:44 +0000
Source: live-config
Source-Version: 3.0.22-1

We believe that the bug you reported is fixed in the latest version of
live-config, which is due to be installed in the Debian FTP archive.

A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 700597@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Daniel Baumann <daniel@debian.org> (supplier of updated live-config package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Wed, 03 Apr 2013 17:47:25 +0200
Source: live-config
Binary: live-config live-config-doc live-config-systemd live-config-sysvinit live-config-upstart
Architecture: source all
Version: 3.0.22-1
Distribution: unstable
Urgency: low
Maintainer: Debian Live Project <debian-live@lists.debian.org>
Changed-By: Daniel Baumann <daniel@debian.org>
Description: 
 live-config - Live System Configuration Scripts
 live-config-doc - Live System Configuration Scripts (documentation)
 live-config-systemd - Live System Configuration Scripts (systemd backend)
 live-config-sysvinit - Live System Configuration Scripts (sysvinit backend)
 live-config-upstart - Live System Configuration Scripts (upstart backend)
Closes: 700597 701788 703108 703972 704562
Changes: 
 live-config (3.0.22-1) unstable; urgency=low
 .
   [ Daniel Baumann ]
   * Adding conflicts/replaces for squeeze upgrade (Closes: #704562).
   * Skipping sudo script if username is root (Closes: #701788).
   * Replacing systemctl call with manual symlink, which is error prone
     wrt/ changes in systemd or the service file but doesn't require up and
     running systemd (Closes: #700597).
   * Correcting some spelling typos, thanks to Adam D. Barratt <adam@adam-
     barratt.org.uk>.
   * Correcting spelling typo in noroot variable name, thanks to Chris
     Malton <chrism@cmalton.me.uk> (Closes: #703108).
 .
   [ Jun Nogata ]
   * Updating gnome-screensaver locking for gnome3 (Closes: #703972).
 .
   [ Daniel Baumann ]
   * Issueing gnome-screensaver disabling differently depending on wheezy
     or squeeze.
   * Adding updated Brazilian Portuguese manpage translations from Tiago
     Bortoletto Vaz <tiago@debian.org>.
Checksums-Sha1: 
 0602590a6ca6c7b20b676ceee0f8a0c35d24072a 1547 live-config_3.0.22-1.dsc
 4cd4ba965ca13961a44eea8fac02a98d50e9d2ab 64740 live-config_3.0.22.orig.tar.xz
 114b16f88c10d5dfa4995715a4881aaed6769d4d 13704 live-config_3.0.22-1.debian.tar.xz
 4f5691ee4899d62e55ef8537f3cbc39c19c06224 27148 live-config_3.0.22-1_all.deb
 995da93e292673b3be7592894394eb1683c99666 50850 live-config-doc_3.0.22-1_all.deb
 a17d7f56e01e2d3dc52fc99619cf863b267840aa 14730 live-config-systemd_3.0.22-1_all.deb
 05dc9905393d8f535b6144b2463111454c8e07e8 15878 live-config-sysvinit_3.0.22-1_all.deb
 35acb2d3e80a14c840427ff4292058eed9e1aca6 15510 live-config-upstart_3.0.22-1_all.deb
Checksums-Sha256: 
 d831932b9ef25823aab986e22471e7b444e58face67e6b7c70d7c8a06e428f21 1547 live-config_3.0.22-1.dsc
 a06264de51e6bb801ba287dd0391f1cfac073abe0ae667f7cac2cf68b1caff1e 64740 live-config_3.0.22.orig.tar.xz
 36c44609b6b3eb81b72afa733cc82ee09c3ff1d7728913da4e0915953d86fb31 13704 live-config_3.0.22-1.debian.tar.xz
 1a3a7f536b7ee08b64a855eb3d9b84bda9b18e02f24509864ab2f5c6efcca90d 27148 live-config_3.0.22-1_all.deb
 ec9772afd68a6507d2bfcc099920665328c4d7f6753badc82d678c8049dcc660 50850 live-config-doc_3.0.22-1_all.deb
 aa435557ba3d715ea06a310fde1ed18e224230fb3ccecc81cb6002d5a50cc9a3 14730 live-config-systemd_3.0.22-1_all.deb
 ff1b645b9a4ae64fc034e1f7d5b573c4b456ee2972a05b57edfcf9b98a8f1d6c 15878 live-config-sysvinit_3.0.22-1_all.deb
 c6ef9a24d6e21a3fadeb955478d2fc84435932a7abba55e7bcb8d9b55b05c44e 15510 live-config-upstart_3.0.22-1_all.deb
Files: 
 0804fc9045147c6a606acca9f1eae947 1547 misc optional live-config_3.0.22-1.dsc
 0925299dd0a0d9e6caa0a65c05f86be0 64740 misc optional live-config_3.0.22.orig.tar.xz
 1cdb976be665d838a53c7e933bcfea42 13704 misc optional live-config_3.0.22-1.debian.tar.xz
 f84fe5e92d4d1443a59249fec0ed5348 27148 misc optional live-config_3.0.22-1_all.deb
 9bf9c14b5247341c95b28f098a7ad9be 50850 doc optional live-config-doc_3.0.22-1_all.deb
 2bfccddee7b0d1a5821347ed47824389 14730 misc optional live-config-systemd_3.0.22-1_all.deb
 4033cf1d3953dc575d8a7b8255dfe9a4 15878 misc optional live-config-sysvinit_3.0.22-1_all.deb
 c6641e623a4958a50b0e89c56ee15a40 15510 misc optional live-config-upstart_3.0.22-1_all.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.12 (GNU/Linux)

iEYEARECAAYFAlFcUkgACgkQ+C5cwEsrK57PGgCfdyqo/eNxwkkA/1lEtlIsrCtF
jEAAoMFYAJfSKQZwdBPW1oxRVlzXVtVF
=9rCj
-----END PGP SIGNATURE-----




Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Tue, 07 May 2013 07:32:22 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Sat Apr 19 06:00:45 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.